Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::Ext::ISensorOtpData Class Reference
CameraDevice

Interface used to get OTP data. More...

`#include <SensorOtpData.h>`

Inheritance diagram for Argus::Ext::ISensorOtpData:

List of all members.

## Public Member Functions

virtual uint32_t | getSensorOtpDataSize () const =0
| Returns the size of the OTP data.
virtual Status | getSensorOtpData (void *dst, uint32_t size) const =0
| Copies back the OTP data to the provided memory location.

## Static Public Member Functions

static const InterfaceID & | id ()

## Protected Member Functions

| ~ISensorOtpData ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface used to get OTP data.

Definition at line 62 of file SensorOtpData.h.

## Constructor & Destructor Documentation

Argus::Ext::ISensorOtpData::~ISensorOtpData | ( |  | ) |

inline protected

Definition at line 83 of file SensorOtpData.h.

## Member Function Documentation

virtual Status Argus::Ext::ISensorOtpData::getSensorOtpData | ( | void * | dst,
|  | uint32_t | size
| ) |  | const

pure virtual

Copies back the OTP data to the provided memory location.

If the size of dst is smaller than the total size of the EEPROM data, only the first bytes up to size are copied.

Parameters:

  [out] | dst | The pointer to the location where the data will be copied. The caller is responsible for allocating and managing the memory.
  [in] | size | The size of the destination.

virtual uint32_t Argus::Ext::ISensorOtpData::getSensorOtpDataSize | ( |  | ) | const

pure virtual

Returns the size of the OTP data.

static const InterfaceID& Argus::Ext::ISensorOtpData::id | ( |  | ) |

inline static

Definition at line 65 of file SensorOtpData.h.

The documentation for this class was generated from the following file:

- include/Argus/Ext/SensorOtpData.h